{% extends 'base.html.twig' %}

{% block body %}
    <h1>Specialté {{ specialite.nom }}</h1>
    <div class="col-lg-6">
        {% include '@SuperAdmin/specialite/edit.html.twig' %}
    </div>
    <div class="col-lg-12 table-responsive">
        <h3>Liste des classes</h3>
        <table class="table table-striped table-rounded-radius"  >
            <thead>
            <tr align="center">
                <th>Nom</th>
                <th>Nombre des etudiants</th>
                <th>Nombre des groupes</th>
            </tr>
            </thead>
            <tbody>
            {% if classes is empty %}
                <tr>
                    <td colspan="5">
                        <p>Il y a pas des données</p>
                    </td>
                </tr>
            {% else %}
                {% for classe in classes %}
                    <tr >
                        <td width="30%" align="center">{{ classe.nom }}</td>
                        <td width="30%" align="center">{{ classe.etudiants|length }}</td>
                        <td width="30%" align="center">{{ classe.groupes|length }}</td>
                    </tr>
                {% endfor %}
            {% endif %}
            </tbody>
        </table>
        <nav class="navigation align-content-center">
            {{ knp_pagination_render(classes) }}
        </nav>
    </div>

    <ul class="list-unstyled">
        <li>
            <a href="{{ path('su_specialite_index') }}">Retourner vers la liste</a>
        </li>
    </ul>
{% endblock %}
